> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consultation

> Get consultation status and content.



## OpenAPI

````yaml /openapi.json get /api/v1/tech-support/consultation/{session_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/tech-support/consultation/{session_id}:
    get:
      tags:
        - Tech Support Consultation
        - Tech Support Consultation
      summary: Get Consultation
      description: Get consultation status and content.
      operationId: get_consultation_api_v1_tech_support_consultation__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultationDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ConsultationDetail:
      properties:
        session_id:
          type: string
          title: Session Id
        issue_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Description
        free_outline:
          anyOf:
            - type: string
            - type: 'null'
          title: Free Outline
        guided_steps:
          anyOf:
            - type: string
            - type: 'null'
          title: Guided Steps
        is_paid:
          type: boolean
          title: Is Paid
        resolution_status:
          type: string
          title: Resolution Status
      type: object
      required:
        - session_id
        - issue_description
        - free_outline
        - guided_steps
        - is_paid
        - resolution_status
      title: ConsultationDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````